<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools">

    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.SET_WALLPAPER" />
    <uses-permission
        android:name="android.permission.WRITE_EXTERNAL_STORAGE"
        android:maxSdkVersion="32" />

    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.AD_ID" />

    <application
        android:name="com.wall.dream.wallpapers.DreamWallpaper"
        android:allowBackup="true"
        android:dataExtractionRules="@xml/data_extraction_rules"
        android:fullBackupContent="@xml/backup_rules"
        android:icon="@mipmap/logo"
        android:label="@string/app_name"
        android:roundIcon="@mipmap/logo"
        tools:replace="networkSecurityConfig"
        android:networkSecurityConfig="@xml/net"
        android:supportsRtl="true"
        android:theme="@style/Theme.Wallpaper"
        tools:targetApi="31">
        <activity
            android:name="com.wall.dream.wallpapers.acacctivity.SearchViewActivity"
            android:exported="false" />
        <activity
            android:name="com.wall.dream.wallpapers.acacctivity.ListViewActivity"
            android:exported="false" />
        <activity
            android:name="com.wall.dream.wallpapers.acacctivity.SplashActivity"
            android:exported="true"
            android:theme="@style/Theme.WelWallpaper">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity
            android:name="com.wall.dream.wallpapers.acacctivity.WallpaperViewActivity"
            android:exported="false" />
        <activity
            android:name="com.wall.dream.wallpapers.acacctivity.MainViewActivity"
            android:exported="false" />
    </application>

</manifest>